import processing.sound.*;

AudioIn input;
Amplitude rms;

ArrayList myBubbles;

float volume;
boolean isCreating;

int now;

void setup() {
  
  size(500,500);
  
  myBubbles = new ArrayList();
  
  
  //Create an Audio input and grab the 1st channel
    input = new AudioIn(this, 0);
    
    // start the Audio Input
    input.start();
    
    // create a new Amplitude analyzer
    rms = new Amplitude(this);
    
    // Patch the input to an volume analyzer
    rms.input(input);
  
}

void draw() {
  
  background(0);
  
  volume=int(map(rms.analyze(), 0, 0.5, 1, 350));
  
  println(volume);
  
  if (volume > 20 && !isCreating) {
    
    myBubbles.add(new Bubble());
    isCreating = true;
    now = millis();
   
  }
  
  if (millis() - now > 3000) isCreating = false;
  
  for (int i = myBubbles.size()-1; i> 0; i--) {
    
    Bubble temp = (Bubble) myBubbles.get(i);
    temp.drawBubble();
    
  }
  
  
}